org.gjt.sp.jedit.textarea

## Class CircleFoldPainter

- java.lang.Object
- - org.gjt.sp.jedit.textarea.ShapedFoldPainter
  - - org.gjt.sp.jedit.textarea.CircleFoldPainter

All Implemented Interfaces:
  FoldPainter

    public class CircleFoldPainter
    extends ShapedFoldPainter

### Constructor Summary

Constructors
Constructor and Description
`CircleFoldPainter()`

### Method Summary

Methods
`protected void` `paintFoldShape(java.awt.Graphics2D gfx, int top, int bottom)`

### Methods inherited from class org.gjt.sp.jedit.textarea.ShapedFoldPainter

`paintFoldEnd, paintFoldMiddle, paintFoldStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircleFoldPainter

    public CircleFoldPainter()

### Method Detail

#### paintFoldShape

    protected void paintFoldShape(java.awt.Graphics2D gfx,
                      int top,
                      int bottom)

Specified by:
  `paintFoldShape` in class `ShapedFoldPainter`